#ifndef CalorimeterRootTree_h
#define CalorimeterRootTree_h 

using namespace std;
#include <iostream>
#include <vector>

#include "G4ThreeVector.hh"
//Root IO
#include "TROOT.h"
#include "TFile.h"
#include "TH1.h"
#include "TH1F.h"      
#include "TH1D.h"
#include "TH2D.h"
#include "TH3D.h"
#include "TTree.h"
//#define LONG
//#define ENERGY
//#define  TUNING
/// Defines   
//#define  MAX 10000000
#define  MAX 250000
//#define LONG
//#define RADIAL
//define ENERGY
class CalorimeterRootTree 
{

public:
  static CalorimeterRootTree * GetTreePointer();
  
private:
   CalorimeterRootTree();
   static CalorimeterRootTree * TheCalorimeterRootTree;
   
public:
  ~CalorimeterRootTree();
     // Long Profile
 
  	int iev;
	double m_e5x5;
	double m_e1x1; 
	double m_e3x3;
	int N_hit;
	
         TTree *m_roottree;  
         TFile *m_rootfile;  
   

};
#endif
