// Declare the ROOT macro (= C++ function)
#include<sstream>
void histo()
{
  // Reset the ROOT session (in case other macros have been run already)
  gROOT->Reset();

  int bins = 100;

  // Energies are in GeV
  double fromEnergy = 0.;
  double toEnergy   = 1.1;


  // Define ("book") the histogram:
  TH1D* h1 = new TH1D("Energy distribution", 
		      "Energy distribution", 
		      bins, 
		      fromEnergy,
		      toEnergy);

  // Open the data file.
  ifstream file("epos.txt");
  int count = 0; // Counter

  // Read in the data file
  while ( ! file.eof() ) {
    count++; 
    double etotal; // Total energy deposited per event
    file >> etotal;
    //cout << etotal << endl;
    // Fill the histogram with the energies
    h1->Fill(etotal);
  
    // Draw the histogram.
    h1->Draw();
  }

  file.close();
  cout << count << " events have been read in." << endl;

}
 
